/**********************************************************************
* Filename : Clas_CP_Goal.h
*
* Kurzbeschreibung : CP-In-Goal und Goal-In-CP Classifikationen
*
* Autoren : Thomas Hillenbrand, Andreas Jaeger
*
* 10.03.98: Erstellung aus SH2.c heraus
*
*
*
**********************************************************************/

#ifndef CLAS_CP_GOAL
#define CLAS_CP_GOAL

#include "TermOperationen.h"
#include "general.h"

#ifdef __cplusplus
extern "C" {
#endif

WeightT CPinGoal (TermT lhs, TermT rhs,
                  RegelOderGleichungsT actualParent, RegelOderGleichungsT otherParent,
                  UTermT actualPosition,
                  BOOLEAN isCP);

WeightT GoalinCP (TermT lhs, TermT rhs,
                  RegelOderGleichungsT actualParent, RegelOderGleichungsT otherParent,
                  UTermT actualPosition,
                  BOOLEAN isCP);


void CIGICInit(WeightT cigic_single_match, WeightT cigic_no_match, WeightT cigic_min_struct);

     
#ifdef __cplusplus
}
#endif

#endif
