/**********************************************************************
* Filename : ParseInterleave
*
* Kurzbeschreibung : Parsen von interleave-String
*
* Autoren : Andreas Jaeger
*
* 27.5.98: Erstellung
*
* Benoetigt folgende Module:
*
* Benutzte Globale Variablen aus anderen Modulen:
*   zur Zeit keine
*
**********************************************************************/

#ifndef PARSEINTERLEAVE_H
#define PARSEINTERLEAVE_H
#include "general.h"

#ifdef __cplusplus
extern "C" {
#endif

BOOLEAN PI_ParseInterleave (const char *str, int *fifo, int *heuristic);

#ifdef __cplusplus
}
#endif

#endif /* ParseInterleave */
