#ifndef STRINGTERMS_H
#define STRINGTERMS_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TermOperationen.h"

typedef byte *PTermpaarT;                                /* Datentyp fuer eingepacktes Termpaar */

unsigned long int STT_TermpaarPlatzbedarf(TermT l, TermT r);
/* Termpaar durchlaufen und dabei tatsaechlichen Platzbedarf ermitteln:
   jede Variablen-Nummer < -127 wird mit drei Byte abgelegt!*/

void STT_TermpaarAuspacken(PTermpaarT *tp, TermT *lhsPtr, TermT *rhsPtr);

PTermpaarT STT_TermpaarEinpackenFragil(TermT lhs, TermT rhs, PTermpaarT tp);
/* Die Gleichung lhs=rhs in das uebergebene PTermpaar einschreiben. Kein Test auf ausreichende
   Groesse von tp! Rueckgabe ist die Adresse hinter dem letzten Zeichen.*/

void STT_DruckePTermpaar(byte *tp, const char *trenner);

BOOLEAN STT_TPTestSymbLex(PTermpaarT p1, PTermpaarT p2);

void STT_InitAposteriori(void);

#ifdef __cplusplus
}
#endif

#endif
