/**********************************************************************
* Filename : SUEBasis.c
*
* Kurzbeschreibung : Definition der globalen Variablen zu SUEBasis.h
*
* Autoren : Andreas Jaeger
*
* 03.03.97: Erstellung
*
*
*
* Benoetigt folgende Module:
*
* Benutzte Globale Variablen aus anderen Modulen:
*   zur Zeit keine
*
**********************************************************************/

#include "SUEBasis.h"

/* ------------------------------------------------------------------------*/
/* -------------------- globale Variablen (siehe SUEBasis.h) --------------*/
/* ------------------------------------------------------------------------*/
struct GNTermpaarTS SUE_Demigod;

TermT SUE_ReplicationOfLHS, SUE_ReplicationOfRHS;
RegelOderGleichungsT SUE_ActualParent;

CPHistoryT           SUE_recCPGenerationHistory;
TermT                SUE_recCPrhs, SUE_recCPlhs;
PCL_ObjektNummerT    SUE_recCPpclID;
UTermT               SUE_recCPactualPosition;
TermpairT            SUE_recCPTermpair;
RegelOderGleichungsT SUE_recCPOtherParent;

TermT                SUE_selCPlhs, SUE_selCPrhs;
RegelOderGleichungsT SUE_selCPactualParent, SUE_selCPotherParent;
PCL_ObjektNummerT    SUE_selCPpclID;
TermpairT            SUE_selCPTermpair;

BOOLEAN SUE_LastSelectedWasFifo;

