/*=================================================================================================================
  =                                                                                                               =
  =  ChaseManhattan.h                                                                                             =
  =                                                                                                               =
  =                                                                                                               =
  =  23.10.97  Thomas.                                                                                            =
  =                                                                                                               =
  =================================================================================================================*/


#ifndef CHASEMANHATTAN_H
#define CHASEMANHATTAN_H

#include "RUndEVerwaltung.h"
#include "SymbolOperationen.h"

#ifdef __cplusplus
extern "C" {
#endif

void CM_InitApostposteriori(char *Dateiname);

void CM_VariablenmanagementAnpassen(SymbolT VarAusRegel);

void CM_BankAusgeben(void);

unsigned int CM_MaximaleAnzahlPraemissen(void);

void CM_IntegriertesFaktumMelden(RegelOderGleichungsT Faktum);

RegelOderGleichungsT CM_ErsteKonklusionsinstanz(void);
RegelOderGleichungsT CM_NaechsteKonklusionsinstanz(void);
RegelOderGleichungsT CM_Konklusion(RegelOderGleichungsT Konklusion);
RegelOderGleichungsT CM_ErstePraemisse(RegelOderGleichungsT Konklusion);
RegelOderGleichungsT CM_NaechstePraemisse(void);
RegelOderGleichungsT CM_ErstePraemisseninstanz(RegelOderGleichungsT Konklusion);
RegelOderGleichungsT CM_NaechstePraemisseninstanz(void);

void CM_DatenbankLeeren(void);


#ifdef __cplusplus
}
#endif
#endif
