/*

07.03.94 Angelegt. Arnim.

*/

#ifndef KBO_H
#define KBO_H

/* ------------------------------------------------*/
/* ------------- Includes -------------------------*/
/* ------------------------------------------------*/


#include "general.h"
#include "TermOperationen.h"

#ifdef __cplusplus
extern "C" {
#endif


/* -------------------------------------------------------*/
/* --------------- Initialisieren ------------------------*/
/* -------------------------------------------------------*/

/* void KB_InitApriori(void); */

void KB_InitAposteriori(void);
/* Richtet den Speicher-Manager ein. */
/* Testet, ob die Funktionsgewichte der Definition entsprechend eingestellt sind. */

/* -------------------------------------------------------*/
/* --------------- Aufrufe -------------------------------*/
/* -------------------------------------------------------*/

BOOLEAN KB_KBOGroesser(UTermT term1, UTermT term2);

VergleichsT KB_KBOVergleich(UTermT term1, UTermT term2);
/* Entscheidungsfunktion, die das Groessenverhaeltnis von term1 und term2 nach der KBO bestimmt. */

#ifdef __cplusplus
}
#endif

#endif
