/*=================================================================================================================
  =                                                                                                               =
  =  ManagerMemorium.h                                                                                            =
  =                                                                                                               =
  =  Plattform fuer SpeicherManager auf mmap-Basis                                                                =
  =                                                                                                               =
  =  19.02.97 Thomas.                                                                                             =
  =                                                                                                               =
  =================================================================================================================*/

#ifndef MANAGERMEMORIUM_H
#define MANAGERMEMORIUM_H

#include "DomaenenMemorium.h"
#include "SpeicherVerwaltung.h"

#ifdef __cplusplus
extern "C" {
#endif


/*=================================================================================================================*/
/*= I. Managerdomaenen                                                                                            =*/
/*=================================================================================================================*/

DomaenenT MM_NeueManagerdomaene(DomaenenbereichsT Bereich, const char *Name);

void MM_ManagerdomaeneLeeren(volatile DomaenenT Domaene, SV_SpeicherManagerT *ManagerListe);
/* Die Seiten aller Manager weggeben, die Manager aber als leere Manager behalten. */

void MM_ManagerdomaeneLoeschen(volatile DomaenenT Domaene);
/* Alle Seiten sowie die Verwaltungsstruktur freigeben. */



/*=================================================================================================================*/
/*= II. Manager einsetzen                                                                                         =*/
/*=================================================================================================================*/

void MM_InitManager(SV_SpeicherManagerT *Manager, volatile DomaenenT Domaene);

#ifdef __cplusplus
}
#endif

#endif

