#ifndef SYMBOLGEWICHTE_H
#define SYMBOLGEWICHTE_H

#include "InfoStrings.h"
#include "general.h"

#ifdef __cplusplus
extern "C" {
#endif

#define SG_TEST 0

extern long int *SG_SymbolGewichtCG, 
                *SG_SymbolGewichtCP;

#if SG_TEST
#include "Ausgaben.h"
#define SG_SymbolGewichtCP(symbol) (IO_DruckeSymbol(symbol), fprintf(IO_Strom, "=%ld (CP)\n", SG_SymbolGewichtCP[symbol]), SG_SymbolGewichtCP[symbol])
#define SG_SymbolGewichtCG(symbol) (IO_DruckeSymbol(symbol), fprintf(IO_Strom, "=%ld (CG)\n", SG_SymbolGewichtCG[symbol]), SG_SymbolGewichtCG[symbol])
#else
#define SG_SymbolGewichtCP(symbol) (SG_SymbolGewichtCP[symbol])
#define SG_SymbolGewichtCG(symbol) (SG_SymbolGewichtCG[symbol])
#endif

BOOLEAN SG_SymbGewichteEintragen(InfoStringT DEF, InfoStringT USR, BOOLEAN fuerCPs);
/* Aufdroeseln des Aufruf-Parameters nach Default-, Variablen- und den einzelnen Funktionsgewichten.
   Rueckgabe ist TRUE, wenn die Gewichtung einzelner Symbole von der hart eincodierten '1' abweicht.
   fuerCPs = TRUE: CPs
   fuerCPs = FALSE: CGs
*/

BOOLEAN SG_ParamInfo(ParamInfoArtT what, InfoStringT DEF, InfoStringT USR, BOOLEAN fuerCPs);

void SG_VariablenfeldAnpassen(SymbolT NeuesteBaumVariable);

#ifdef __cplusplus
}
#endif

#endif
