/*=================================================================================================================
  =                                                                                                               =
  =  YFiles.h                                                                                                     =
  =                                                                                                               =
  =  Kapselung der Zeichenketten fuer kommandozeilenartige Parametereinstellungen                                 =
  =                                                                                                               =
  =  18.08.98 Aus PhilMarlow.c extrahiert. Thomas.                                                                =
  =                                                                                                               =
  =================================================================================================================*/

#ifndef YFILES_H
#define YFILES_H

#include "XFilesFuerPMh.h"
#include "Praezedenzgenerator.h"


#ifdef __cplusplus
extern "C" {
#endif


typedef enum {add, Add, mix, gt, Mix, pol} HeuristikartenT;
typedef enum {rnf, small, mnf} ZielbehandlungsartenT;
typedef enum {cp, cg} PassivaartenT;
typedef enum {Morgen, Mittag, Abend} SchrittzahlT;
typedef enum {da, re, mi, fa, so} VerschnittT;

void empty(void);


void lpo_(PraezedenzartenT,Signatur_SymbolT,Signatur_ZeichenT);
void kbo_(PraezedenzartenT,Signatur_SymbolT,Signatur_ZeichenT);
void nao(PraezedenzartenT);
void cph(HeuristikartenT);
void cgh(HeuristikartenT);
void zb(ZielbehandlungsartenT);
void einsstern(void);
void cgcp(void);
void back(void);
void rose(void);
void kern(void);
void bis(SchrittzahlT);
void itl(VerschnittT);

#define /*void*/ lpo(/*PraezedenzartenT*/ Art)                                                                      \
  lpo_(Art,*sig,*sig_c)

#define /*void*/ kbo(/*PraezedenzartenT*/ Art)                                                                      \
  kbo_(Art,*sig,*sig_c)

#ifdef __cplusplus
}
#endif
#endif
