/**********************************************************************
* Filename : ZielAusgaben.h
*
* Kurzbeschreibung : Ausgaben Zielverwaltung
*                    diese Datei wird nur von den Zielverwaltungs-Modulen importiert
*
* Autoren : Andreas Jaeger
*
* 04.02.99: Erstellung aus Ausgaben.h heraus
**********************************************************************/

#ifndef ZIEL_AUSGABEN_H
#define ZIEL_AUSGABEN_H

#include "general.h"
#include "TermOperationen.h"

#ifdef __cplusplus
extern "C" {
#endif

void ZA_ZielReduziertDrucken (unsigned int Nummer, TermT links, TermT rechts);
  
void ZA_ZielZusammengefuehrtDrucken (void);
  
void ZA_ZielSubsummiertDrucken (unsigned int ZielNummer, long int GleichungsNummer,
				TermT Zlinks, TermT Zrechts,
				TermT Glinks, TermT Grechts);

#ifdef __cplusplus
}
#endif

#endif  /* ZIEL_AUSGABEN_H */
