/**********************************************************************
* Filename : version.c
*
* Kurzbeschreibung : Versionsidentifizierung
*
* Autoren : Andreas Jaeger
**********************************************************************/
#ifndef VERSION_H
#define VERSION_H

#ifdef __cplusplus
extern "C" {
#endif

/* Release von Waldmeister (muss in version.c eingetragen werden) */
extern const char *wm_release;

/* Informationen ueber den Zeitpunkt des Makeprozesses, wird
   automatisch generiert */
extern const char *wm_banner;

extern const char *configuration_banner;


#ifdef __cplusplus
}
#endif

#endif /* VERSION_H */
